"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const CognitoSyncClient_1 = require("./CognitoSyncClient");
const BulkPublishCommand_1 = require("./commands/BulkPublishCommand");
const DeleteDatasetCommand_1 = require("./commands/DeleteDatasetCommand");
const DescribeDatasetCommand_1 = require("./commands/DescribeDatasetCommand");
const DescribeIdentityPoolUsageCommand_1 = require("./commands/DescribeIdentityPoolUsageCommand");
const DescribeIdentityUsageCommand_1 = require("./commands/DescribeIdentityUsageCommand");
const GetBulkPublishDetailsCommand_1 = require("./commands/GetBulkPublishDetailsCommand");
const GetCognitoEventsCommand_1 = require("./commands/GetCognitoEventsCommand");
const GetIdentityPoolConfigurationCommand_1 = require("./commands/GetIdentityPoolConfigurationCommand");
const ListDatasetsCommand_1 = require("./commands/ListDatasetsCommand");
const ListIdentityPoolUsageCommand_1 = require("./commands/ListIdentityPoolUsageCommand");
const ListRecordsCommand_1 = require("./commands/ListRecordsCommand");
const RegisterDeviceCommand_1 = require("./commands/RegisterDeviceCommand");
const SetCognitoEventsCommand_1 = require("./commands/SetCognitoEventsCommand");
const SetIdentityPoolConfigurationCommand_1 = require("./commands/SetIdentityPoolConfigurationCommand");
const SubscribeToDatasetCommand_1 = require("./commands/SubscribeToDatasetCommand");
const UnsubscribeFromDatasetCommand_1 = require("./commands/UnsubscribeFromDatasetCommand");
const UpdateRecordsCommand_1 = require("./commands/UpdateRecordsCommand");
class CognitoSync extends CognitoSyncClient_1.CognitoSyncClient {
    bulkPublish(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new BulkPublishCommand_1.BulkPublishCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    deleteDataset(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DeleteDatasetCommand_1.DeleteDatasetCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    describeDataset(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DescribeDatasetCommand_1.DescribeDatasetCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    describeIdentityPoolUsage(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DescribeIdentityPoolUsageCommand_1.DescribeIdentityPoolUsageCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    describeIdentityUsage(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DescribeIdentityUsageCommand_1.DescribeIdentityUsageCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    getBulkPublishDetails(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GetBulkPublishDetailsCommand_1.GetBulkPublishDetailsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    getCognitoEvents(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GetCognitoEventsCommand_1.GetCognitoEventsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    getIdentityPoolConfiguration(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GetIdentityPoolConfigurationCommand_1.GetIdentityPoolConfigurationCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    listDatasets(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new ListDatasetsCommand_1.ListDatasetsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    listIdentityPoolUsage(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new ListIdentityPoolUsageCommand_1.ListIdentityPoolUsageCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    listRecords(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new ListRecordsCommand_1.ListRecordsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    registerDevice(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new RegisterDeviceCommand_1.RegisterDeviceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    setCognitoEvents(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new SetCognitoEventsCommand_1.SetCognitoEventsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    setIdentityPoolConfiguration(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new SetIdentityPoolConfigurationCommand_1.SetIdentityPoolConfigurationCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    subscribeToDataset(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new SubscribeToDatasetCommand_1.SubscribeToDatasetCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    unsubscribeFromDataset(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new UnsubscribeFromDatasetCommand_1.UnsubscribeFromDatasetCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    updateRecords(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new UpdateRecordsCommand_1.UpdateRecordsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
}
exports.CognitoSync = CognitoSync;
//# sourceMappingURL=CognitoSync.js.map