"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const GetBulkPublishDetails_1 = require("../model/operations/GetBulkPublishDetails");
class GetBulkPublishDetailsCommand {
    constructor(input) {
        this.input = input;
        this.model = GetBulkPublishDetails_1.GetBulkPublishDetails;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.GetBulkPublishDetailsCommand = GetBulkPublishDetailsCommand;
//# sourceMappingURL=GetBulkPublishDetailsCommand.js.map