"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const GetIdentityPoolConfiguration_1 = require("../model/operations/GetIdentityPoolConfiguration");
class GetIdentityPoolConfigurationCommand {
    constructor(input) {
        this.input = input;
        this.model = GetIdentityPoolConfiguration_1.GetIdentityPoolConfiguration;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.GetIdentityPoolConfigurationCommand = GetIdentityPoolConfigurationCommand;
//# sourceMappingURL=GetIdentityPoolConfigurationCommand.js.map