"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const ListDatasets_1 = require("../model/operations/ListDatasets");
class ListDatasetsCommand {
    constructor(input) {
        this.input = input;
        this.model = ListDatasets_1.ListDatasets;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.ListDatasetsCommand = ListDatasetsCommand;
//# sourceMappingURL=ListDatasetsCommand.js.map