"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const ListRecords_1 = require("../model/operations/ListRecords");
class ListRecordsCommand {
    constructor(input) {
        this.input = input;
        this.model = ListRecords_1.ListRecords;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.ListRecordsCommand = ListRecordsCommand;
//# sourceMappingURL=ListRecordsCommand.js.map