"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const RegisterDevice_1 = require("../model/operations/RegisterDevice");
class RegisterDeviceCommand {
    constructor(input) {
        this.input = input;
        this.model = RegisterDevice_1.RegisterDevice;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.RegisterDeviceCommand = RegisterDeviceCommand;
//# sourceMappingURL=RegisterDeviceCommand.js.map