"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const GetCognitoEventsInput_1 = require("../shapes/GetCognitoEventsInput");
const GetCognitoEventsOutput_1 = require("../shapes/GetCognitoEventsOutput");
const InvalidParameterException_1 = require("../shapes/InvalidParameterException");
const ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
const NotAuthorizedException_1 = require("../shapes/NotAuthorizedException");
const InternalErrorException_1 = require("../shapes/InternalErrorException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetCognitoEvents = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetCognitoEvents",
    http: {
        method: "GET",
        requestUri: "/identitypools/{IdentityPoolId}/events"
    },
    input: {
        shape: GetCognitoEventsInput_1.GetCognitoEventsInput
    },
    output: {
        shape: GetCognitoEventsOutput_1.GetCognitoEventsOutput
    },
    errors: [
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: NotAuthorizedException_1.NotAuthorizedException
        },
        {
            shape: InternalErrorException_1.InternalErrorException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=GetCognitoEvents.js.map