"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const UnsubscribeFromDatasetInput_1 = require("../shapes/UnsubscribeFromDatasetInput");
const UnsubscribeFromDatasetOutput_1 = require("../shapes/UnsubscribeFromDatasetOutput");
const NotAuthorizedException_1 = require("../shapes/NotAuthorizedException");
const InvalidParameterException_1 = require("../shapes/InvalidParameterException");
const ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
const InternalErrorException_1 = require("../shapes/InternalErrorException");
const InvalidConfigurationException_1 = require("../shapes/InvalidConfigurationException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.UnsubscribeFromDataset = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UnsubscribeFromDataset",
    http: {
        method: "DELETE",
        requestUri: "/identitypools/{IdentityPoolId}/identities/{IdentityId}/datasets/{DatasetName}/subscriptions/{DeviceId}"
    },
    input: {
        shape: UnsubscribeFromDatasetInput_1.UnsubscribeFromDatasetInput
    },
    output: {
        shape: UnsubscribeFromDatasetOutput_1.UnsubscribeFromDatasetOutput
    },
    errors: [
        {
            shape: NotAuthorizedException_1.NotAuthorizedException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InternalErrorException_1.InternalErrorException
        },
        {
            shape: InvalidConfigurationException_1.InvalidConfigurationException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=UnsubscribeFromDataset.js.map